Bug 23704 - Disco request not invalidated when contact goes offline
Summary: Disco request not invalidated when contact goes offline
Status: NEW
Alias: None
Product: Telepathy
Classification: Unclassified
Component: gabble (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-04 04:49 UTC by Alban Crequy
Modified: 2009-10-06 05:14 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alban Crequy 2009-09-04 04:49:26 UTC
When a Gabble send a disco request to a contact, who goes offline meanwhile, the request is not invalidated.

Worse, if another contact has the same capability hash, he will not be sent a disco request: Gabble will wait the timeout before. And the timeout is incredibly long (20000 seconds).

We should:
- invalidate the request when the contact goes offline. smcv said the invalidation needs to be per-resource.
- reduce the timeout to a good value (20 seconds)
- add a unit test for the case contact goes offline and another contact has the same caps
Comment 1 George Goldberg 2009-09-04 05:07:51 UTC
Fixed the 20,000 seconds to 20s here:

http://git.collabora.co.uk/?p=user/gberg/telepathy-gabble.git;a=shortlog;h=refs/heads/bug-23704

Taking a look at the rest of the bug now, to see if there's anything useful to contribute to fixing it (may not be, since I'm completely new to gabble codebase).
Comment 2 Will Thompson 2009-09-04 05:28:16 UTC
(In reply to comment #1)
> Fixed the 20,000 seconds to 20s here:

Merged to telepathy-gabble-0.8 and master.
Comment 3 George Goldberg 2009-09-14 10:01:27 UTC
I don't think I'm going to find any time to do any more on this bug in the near future, so if anyone else is thinking of fixing it, don't wait on me :)
Comment 4 Will Thompson 2009-10-06 05:14:14 UTC
(In reply to comment #0)
> We should invalidate the request when the contact goes offline. smcv said the
> invalidation needs to be per-resource.

We shouldn't invalidate it: the contact may have just become invisible.

We should probably send a request to another contact if possible, though.



Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.